.\" @(#)$RCSfile: gfal_read.man,v $ $Revision: 1.1.1.1 $ $Date: 2003/11/19 12:56:29 $ CERN Jean-Philippe Baud
.\" Copyright (C) 2003 by CERN
.\" All rights reserved
.\"
.TH GFAL_READ 3 "$Date: 2003/11/19 12:56:29 $" GFAL "Library Functions"
.SH NAME
gfal_read \- read from a file
.SH SYNOPSIS
\fB#include "gfal_api.h"\fR
.sp
.BI "int gfal_read (int" fd ,
.BI "void *" buf ,
.BI "size_t " size );
.SH DESCRIPTION
.B gfal_read
reads up to
.I size
bytes from the file descriptor
.I fd
into the buffer pointed by
.IR buf .
.SH RETURN VALUE
This routine returns the number of bytes actually read if the operation was
successful or -1 if the operation failed. In the latter case,
.B errno
is set appropriately.
.SH ERRORS
.TP 1.3i
.B EBADF
.I fd
is not a valid file descriptor.
.TP
.B ECOMM
Communication error.
.TP
.B EPROTONOSUPPORT
Access method not supported.
.SH SEE ALSO
.B gfal(3)
